## rock-master-19.06-simulation-mars-doc 0.20190613

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
install(DIRECTORY ./doxygen DESTINATION share/rock/simulation/mars/doc/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./doxygen/mars_doxyconf DESTINATION share/rock/simulation/mars/doc/./doxygen)
install(FILES ./doxygen/DoxygenLayout.xml DESTINATION share/rock/simulation/mars/doc/./doxygen)
install(FILES ./doxygen/mars_doxyconf_no_graphs DESTINATION share/rock/simulation/mars/doc/./doxygen)
install(FILES ./doxygen/Makefile DESTINATION share/rock/simulation/mars/doc/./doxygen)
install(FILES ./CMakeLists.txt DESTINATION share/rock/simulation/mars/doc/.)
install(DIRECTORY ./src DESTINATION share/rock/simulation/mars/doc/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./src/images DESTINATION share/rock/simulation/mars/doc/./src FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./src/images/logo_v2_wob.png DESTINATION share/rock/simulation/mars/doc/./src/images)
install(FILES ./src/images/logo_triple.png DESTINATION share/rock/simulation/mars/doc/./src/images)
install(FILES ./src/images/combinedlogo.png DESTINATION share/rock/simulation/mars/doc/./src/images)
install(FILES ./src/001_structural_overview.md DESTINATION share/rock/simulation/mars/doc/./src)
install(DIRECTORY ./src/css DESTINATION share/rock/simulation/mars/doc/./src FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./src/css/mars_default.css DESTINATION share/rock/simulation/mars/doc/./src/css)
install(FILES ./src/css/mars_doxygen.css DESTINATION share/rock/simulation/mars/doc/./src/css)
install(DIRECTORY ./src/subproject_doxygen_template DESTINATION share/rock/simulation/mars/doc/./src FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./src/subproject_doxygen_template/subproject_doxyconf DESTINATION share/rock/simulation/mars/doc/./src/subproject_doxygen_template)
install(FILES ./src/002_documentation_structure.md DESTINATION share/rock/simulation/mars/doc/./src)
install(FILES ./src/index.md DESTINATION share/rock/simulation/mars/doc/./src)
install(FILES ./header.html DESTINATION share/rock/simulation/mars/doc/.)
install(FILES ./rst2trac.py DESTINATION share/rock/simulation/mars/doc/.)
install(DIRECTORY ./scripts DESTINATION share/rock/simulation/mars/doc/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./scripts/create_subproject_doxygens.py DESTINATION share/rock/simulation/mars/doc/./scripts)
install(FILES ./scripts/markdown2marshtml.py DESTINATION share/rock/simulation/mars/doc/./scripts)
install(FILES ./scripts/update_docs.py DESTINATION share/rock/simulation/mars/doc/./scripts)
install(FILES ./scripts/markdown2rst.py DESTINATION share/rock/simulation/mars/doc/./scripts)
install(FILES ./scripts/rst2marshtml.py DESTINATION share/rock/simulation/mars/doc/./scripts)
install(FILES ./Makefile DESTINATION share/rock/simulation/mars/doc/.)

=== Makefile ===
all:
	mkdir build
	$(MAKE) -C doxygen

no-graphs:
	mkdir build
	$(MAKE) -C doxygen no-graphs

doc: all

clean:
	rm -r build

=== doxygen/Makefile ===
all:
	doxygen mars_doxyconf

no-graphs:
	doxygen mars_doxyconf_no_graphs

=== debian/changelog ===
rock-master-19.06-simulation-mars-doc (0.20190613-1~bionic) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-simulation/mars.git
  * branch: refs/heads/master
  * commit: 51d263aef0c5bbe084081db0c2d15950e7cfdd77
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Tue, 02 Jul 2019 19:34:33 +0200

=== debian/control ===
Source: rock-master-19.06-simulation-mars-doc
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-simulation-mars-doc
Architecture: any
Depends: ${shlibs:Depends}
Description: no documentation available for package 'simulation/mars/doc' in its manifest.xml file
 no documentation available for package 'simulation/mars/doc' in its manifest.xml file

=== debian/rules ===
#!/usr/bin/make -f

# BEGIN ENVIRONMENT SETUP
# https://www.debian.org/doc/debian-policy/ch-source.html
# nocheck: This tag says to not run any build-time test suite provided by the package.
export DEB_BUILD_OPTIONS=nocheck

# Setup of $(arch), $(rockruby_libdir) and $(rockruby_archdir)
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby --version)
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))
# Setup of paths: PATH,PKG_CONFIG_PATH,RUBYLIB,...
master1906_install_dir = /opt/rock/master-19.06
env_setup =  PATH=$(master1906_install_dir)/bin:$(PATH)
env_setup += RUBYLIB=$(master1906_install_dir)/$(rockruby_libdir):$(master1906_install_dir)/$(rockruby_archdir):$(master1906_install_dir)/lib/ruby/vendor_ruby/standard:$(master1906_install_dir)/lib/ruby/vendor_ruby/core:$(master1906_install_dir)/lib/ruby/vendor_ruby:$(RUBYLIB)
env_setup += PKG_CONFIG_PATH=$(master1906_install_dir)/lib/pkgconfig:$(master1906_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$(PKG_CONFIG_PATH)
env_setup += Rock_DIR=$(master1906_install_dir)/share/rock/cmake:$(Rock_DIR)
env_setup += LD_LIBRARY_PATH=$(master1906_install_dir)/lib:$(master1906_install_dir)/lib/$(arch):$(LD_LIBRARY_PATH)
env_setup += CMAKE_PREFIX_PATH=$(master1906_install_dir):$(CMAKE_PREFIX_PATH)
env_setup += OROGEN_PLUGIN_PATH=$(master1906_install_dir)/share/orogen/plugins:$(OROGEN_PLUGIN_PATH)
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master1906_install_dir)/lib:$(master1906_install_dir)/lib/$(arch):
rock_install_dir=/opt/rock/master-19.06
# Check if a python command is available and identify the version
# and identify the setup.py file
python_cmd=$(shell command -v python 2> /dev/null)
ifneq ("$(python_cmd)","")
python_version=$(shell python -c 'import sys; print "{0}.{1}".format(sys.version_info[0],sys.version_info[1])')
# Get dirname a setup.py match
python_setup_dir=$(shell find $(DEB_SRCDIR) -name setup.py | tail -n 1 | xargs dirname)
endif

DEB_VERBOSE_ALL=1
include /usr/share/cdbs/1/rules/debhelper.mk
extra_lib_dir=$(shell pwd)/debian/rock-master-19.06-simulation-mars-doc$(rock_install_dir)/lib
# This argument list is forwarded to dh_shlibdeps which takes the -l option and a colon separated list of libraries
# (not that this is different from the linker arguments)
DEB_DH_SHLIBDEPS_ARGS_ALL=-l$(extra_lib_dir):$(extra_lib_dir)/$(arch):$(rock_library_dirs)

rock_doc_install_dir=$(rock_install_dir)/share/doc/rock-master-19.06-simulation-mars-doc

pre-build::
	echo "Detected:"
	echo "   ruby version: $(ruby_ver)"
	echo "   ruby libdir: $(rockruby_libdir)"
	echo "   ruby archdir: $(rockruby_archdir)"

	#echo "Current directory:"
	#find .

# END ENVIRONMENT SETUP
######################################
# BEGIN OROGEN -- This block needs to be executed before CMAKE


# END OROGEN
######################################
# BEGIN CMAKE
#
CMAKE = $(env_setup) cmake
DEB_CMAKE_INSTALL_PREFIX = $(rock_install_dir)
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF
DEB_CMAKE_EXTRA_FLAGS += -DGEM_OS_PKG=TRUE
# Leaving RUBY_EXECUTABLE unset since it maps to a path of the user executing the upload script
include /usr/share/cdbs/1/class/cmake.mk

# END IMPORTER
# ##########################################
#


# http://cdbs-doc.duckcorp.org/en/cdbs-doc.xhtml see post-configure actions
# replace all entries of -I with -I and -isystem in order to 
#   (a) guarantee that pkgconfig can still knowns the include directory (-I)
#   (b) the include directory is actually accounted for as system include directory (-isystem)
# Account for the fact, that configure is called multiple times e.g. revert changes first, then reapply
configure/rock-master-19.06-simulation-mars-doc::
	echo "Adapt -I to -isystem in pkgconfig files:"
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Adapting {}; sed -i 's#\(\"\?\)-isystem[^ ]\+\1##g; s#\(\"\?\)-I\([^ ]\+\)\1#\1-I\2\1 \1-isystem\2\1#g; s#[ ]\+# #g' {}; cat {};" \;

###########################################
# DOCS


# END DOCS
###########################################
